# Interface AbstractViewInterface<R>

#### Type Parameters

- #### R

#### Hierarchy

- AbstractViewInterface

- Defined in RcsbFvSequence/SequenceViews/AbstractView.tsx:12

#####
Index

### Properties

componentId
stateManager
structureViewer
subtitle?
title?
unmount

## Properties

### componentId

componentId: string

- Defined in RcsbFvSequence/SequenceViews/AbstractView.tsx:13

### stateManager

stateManager: RcsbFvStateManager

- Defined in RcsbFvSequence/SequenceViews/AbstractView.tsx:17

### structureViewer

structureViewer: ViewerCallbackManagerInterface & ViewerActionManagerInterface<R>

- Defined in RcsbFvSequence/SequenceViews/AbstractView.tsx:16

### `Optional` subtitle

subtitle?: string

- Defined in RcsbFvSequence/SequenceViews/AbstractView.tsx:15

### `Optional` title

title?: string

- Defined in RcsbFvSequence/SequenceViews/AbstractView.tsx:14

### unmount

unmount: ((flag: boolean, callback: (() => void)) => void)

#### Type declaration

- - (flag: boolean, callback: (() => void)): void

  - #### Parameters

    - ##### flag: boolean

    - ##### callback: (() => void)

      - - (): void

        - #### Returns void

- Defined in RcsbFvSequence/SequenceViews/AbstractView.tsx:18

Generated using TypeDoc